# Class EllipsoidsRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.renderspecial.EllipsoidsRenderer

public final class EllipsoidsRenderer extends ShapeRenderer

## Field Summary

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`EllipsoidsRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`render()`

### Methods inherited from class ShapeRenderer

`initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EllipsoidsRenderer

public EllipsoidsRenderer()

## Method Details

### render

protected boolean render()

Specified by:
  `render` in class `ShapeRenderer`